package com.qadeer.seller.feign;

import com.qadeer.seller.dto.ProductDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "inventory-api", url = "http://localhost:8083/inventory")
public interface FeignService {

    @GetMapping("/product/{id}")
    ProductDto getProductById(@PathVariable int id);

}
